require "compat"

function CCFKMeleon()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=115")
end

function CCFDaily()
	open("http://bbs.et8.net/bbs/search.php?do=getdaily")
end

function CCFmain()
	open("http://bbs.et8.net/bbs/index.php?")
end

function CCFadmin()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=5")
end

function CCFnetwork()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=19");
end

function CCFunix()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=7")
end

function CCFnews()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=20")
end

function CCFsoft()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=17")
end

function CCFHard()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=11")
end

function CCFdevelop()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=6")
end

function CCFPDA()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=49")
end

function CCFmusic()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=56")
end

function CCFmovie()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=94")
end

function CCFgame()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=10")
end

function CCFTV()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=51")
end

function CCFpicture()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=24")
end

function CCFphoto()	
	open("http://bbs.et8.net/live/forumdisplay.php?f=8")
end

function CCFpeople()
	open("http://bbs.et8.net/live/forumdisplay.php?f=30")
end

function CCFliterature()
	open("http://bbs.et8.net/live/forumdisplay.php?f=13")
end

function CCFchat()
	open("http://bbs.et8.net/live/forumdisplay.php?f=12")
end

function CCFjoke()
	open("http://bbs.et8.net/live/forumdisplay.php?f=15")
end

function CCFbbs()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=87")
end

function CCFsoftuser()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=53")
end

function CCFoptical()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=60")
end

function CCFDC()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=54")
end

function CCFtopic()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=108")
end

function CCFnetworkhome()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=23")
end

function CCFcomputer()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=2")
end

function CCFdigital()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=82")
end

function CCFvedio()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=92")
end

function CCFmovieuser()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=44")
end

function CCFdesktop()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=89")
end

function CCFeducation()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=99")
end

function CCFeducationuser()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=9")
end

function CCFfinance()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=104")
end

function CCFsports()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=105")
end

function CCFgather()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=75")
end

function CCFshirt()
	open("http://bbs.et8.net/live/forumdisplay.php?f=118")
end

function CCFpadora()
	open("http://bbs.et8.net/live/forumdisplay.php?f=30")
end

function CCFdaily()
	open("http://bbs.et8.net/bbs/search.php?do=getdaily")
end

function CCFDC()
	open("http://bbs.et8.net/bbs/forumdisplay.php?f=54")
end

function showCCFmenu()
	idx=popupmenu("K-MeleonCCF主题版","<今日新帖>","<精品论坛主页>","<网络技术>","<Unix系统>","<网闻信息版>","<软件使用>","<硬件使用>","<程序员之家>","<手机、PDA & MP3 Player>","<精品音乐>","<游戏天地>","<视频技术>","<精品影评>","<图形技术版>","<数码摄影个人作品区>","<人文居◇生活精粹>","<文学版◇水秀精华>","<休闲天地◇放心情>","<笑话版>","<DC&&DV>")
	if idx==1 then
		CCFKMeleon()
	elseif idx==2 then
		CCFDaily()
	elseif idx==3 then
		CCFmain()
	elseif idx==4 then
		CCFnetwork()
	elseif idx==5 then
		CCFunix()
	elseif idx==6 then
		CCFnews()
	elseif idx==7 then
		CCFsoft()
	elseif idx==8 then
		CCFHard()
	elseif idx==9 then
		CCFdevelop()
	elseif idx==10 then
		CCFPDA()
	elseif idx==11 then
		CCFmusic()
	elseif idx==12 then
		CCFgame()
	elseif idx==13 then
		CCFTV()
	elseif idx==14 then
		CCFmovie()
	elseif idx==15 then
		CCFpicture()
	elseif idx==16 then
		CCFphoto()
	elseif idx==17 then
		CCFpeople()
	elseif idx==18 then
		CCFliterature()
	elseif idx==19 then
		CCFchat()
	elseif idx==20 then
		CCFjoke()
	elseif idx==21 then
		CCFDC()
	end
end
	